<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:41 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ClassFactory (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClassFactory (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ClassFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/ClassFactory.html" target="_top">Frames</a></li>
<li><a href="ClassFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.device.scanner.wia</div>
<h2 title="Class ClassFactory" class="title">Class ClassFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.device.scanner.wia.ClassFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">ClassFactory</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Defines methods to create COM objects</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html" title="interface in io.mosip.registration.device.scanner.wia">ICommonDialog</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html#createCommonDialog--">createCommonDialog</a></span>()</code>
<div class="block">The CommonDialog control is an invisible-at-runtime control that contains all
 the methods that display a User Interface.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceManager.html" title="interface in io.mosip.registration.device.scanner.wia">IDeviceManager</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html#createDeviceManager--">createDeviceManager</a></span>()</code>
<div class="block">The DeviceManager control is an invisible-at-runtime control that manages the
 imaging devices connected to the computer.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html#createImageFile--">createImageFile</a></span>()</code>
<div class="block">The ImageFile object is a container for images transferred to your computer
 when you call Transfer or ShowTransfer.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageProcess.html" title="interface in io.mosip.registration.device.scanner.wia">IImageProcess</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html#createImageProcess--">createImageProcess</a></span>()</code>
<div class="block">The ImageProcess object manages the filter chain.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/IRational.html" title="interface in io.mosip.registration.device.scanner.wia">IRational</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html#createRational--">createRational</a></span>()</code>
<div class="block">The Rational object is a container for the rational values found in Exif
 tags.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html" title="interface in io.mosip.registration.device.scanner.wia">IVector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html#createVector--">createVector</a></span>()</code>
<div class="block">The Vector object is a collection of values of the same type.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createRational--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRational</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/IRational.html" title="interface in io.mosip.registration.device.scanner.wia">IRational</a>&nbsp;createRational()</pre>
<div class="block">The Rational object is a container for the rational values found in Exif
 tags. It is a supported element type of the Vector object and may be created
 using "Rational" in a call to CreateObject.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IRational</dd>
</dl>
</li>
</ul>
<a name="createVector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVector</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html" title="interface in io.mosip.registration.device.scanner.wia">IVector</a>&nbsp;createVector()</pre>
<div class="block">The Vector object is a collection of values of the same type. It is used
 throughout the library in many different ways. The Vector object may be
 created using "Vector" in a call to CreateObject.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IVector</dd>
</dl>
</li>
</ul>
<a name="createImageFile--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createImageFile</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a>&nbsp;createImageFile()</pre>
<div class="block">The ImageFile object is a container for images transferred to your computer
 when you call Transfer or ShowTransfer. It also supports image files through
 LoadFile. An ImageFile object can be created using "ImageFile" in a call to
 CreateObject.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IImageFile</dd>
</dl>
</li>
</ul>
<a name="createImageProcess--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createImageProcess</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageProcess.html" title="interface in io.mosip.registration.device.scanner.wia">IImageProcess</a>&nbsp;createImageProcess()</pre>
<div class="block">The ImageProcess object manages the filter chain. An ImageProcess object can
 be created using "ImageProcess" in a call to CreateObject.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IImageProcess</dd>
</dl>
</li>
</ul>
<a name="createCommonDialog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCommonDialog</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html" title="interface in io.mosip.registration.device.scanner.wia">ICommonDialog</a>&nbsp;createCommonDialog()</pre>
<div class="block">The CommonDialog control is an invisible-at-runtime control that contains all
 the methods that display a User Interface. A CommonDialog control can be
 created using "CommonDialog" in a call to CreateObject or by dropping a
 CommonDialog on a form.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ICommonDialog</dd>
</dl>
</li>
</ul>
<a name="createDeviceManager--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createDeviceManager</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceManager.html" title="interface in io.mosip.registration.device.scanner.wia">IDeviceManager</a>&nbsp;createDeviceManager()</pre>
<div class="block">The DeviceManager control is an invisible-at-runtime control that manages the
 imaging devices connected to the computer. A DeviceManager control can be
 created using "DeviceManager" in a call to CreateObject or by dropping a
 DeviceManager on a form.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IDeviceManager</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ClassFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/ClassFactory.html" target="_top">Frames</a></li>
<li><a href="ClassFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
